POST
/pipeline/reset-ttl
const url = 'https://example.com/api/v0/pipeline/reset-ttl';const options = { method: 'POST', headers: {'X-Tenzir-Token': '<X-Tenzir-Token>', 'Content-Type': 'application/json'}, body: '{"ids":["4c7f2b11-6169-4d1b-89b4-4fc0a68b3d4a","08446737-da9b-4787-8599-97d85c48c3bb","interactive-query"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v0/pipeline/reset-ttl \ --header 'Content-Type: application/json' \ --header 'X-Tenzir-Token: <X-Tenzir-Token>' \ --data '{ "ids": [ "4c7f2b11-6169-4d1b-89b4-4fc0a68b3d4a", "08446737-da9b-4787-8599-97d85c48c3bb", "interactive-query" ] }'Resets the TTL for existing pipelines that were created with a TTL. Resetting the TTL restarts the TTL timer from zero seconds and keeps the pipelines alive longer.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”Body for the reset-ttl endpoint
Media type application/json
object
ids
required
The id of pipelines whose TTL should be updated.
Array<string>
Example
[ "4c7f2b11-6169-4d1b-89b4-4fc0a68b3d4a", "08446737-da9b-4787-8599-97d85c48c3bb", "interactive-query"]Responses
Section titled “ Responses ”The TTL was reset for the returned pipeline IDs.
Media type application/json
object
ids
The id of pipelines whose TTL has been successfully updated.
Array<string>
Example
{ "ids": [ "4c7f2b11-6169-4d1b-89b4-4fc0a68b3d4a", "interactive-query" ]}Invalid arguments.
Media type application/json
object
error
required
The error message.
string
Example
{ "error": "Invalid arguments"}